Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.drools.event.rule
Interface WorkingMemoryEventManager

All Known Subinterfaces:
  KnowledgeRuntime, KnowledgeRuntimeEventManager, StatefulKnowledgeSession, StatelessKnowledgeSession

All Known Implementing Classes:
  StatefulProcessSession

    public interface WorkingMemoryEventManager

Method Summary
`void` | `addEventListener(AgendaEventListener listener)` Add an event listener.
`void` | `addEventListener(WorkingMemoryEventListener listener)` Add an event listener.
`Collection<AgendaEventListener>` | `getAgendaEventListeners()` Returns all event listeners.
`Collection<WorkingMemoryEventListener>` | `getWorkingMemoryEventListeners()` Returns all event listeners.
`void` | `removeEventListener(AgendaEventListener listener)` Remove an event listener.
`void` | `removeEventListener(WorkingMemoryEventListener listener)` Remove an event listener.

Method Detail

### addEventListener

    void addEventListener(WorkingMemoryEventListener listener)

  Add an event listener.

  Parameters:
    `listener` - The listener to add.

### removeEventListener

    void removeEventListener(WorkingMemoryEventListener listener)

  Remove an event listener.

  Parameters:
    `listener` - The listener to remove.

### getWorkingMemoryEventListeners

    Collection<WorkingMemoryEventListener> getWorkingMemoryEventListeners()

  Returns all event listeners.

  Returns:
    listeners The listeners.

### addEventListener

    void addEventListener(AgendaEventListener listener)

  Add an event listener.

  Parameters:
    `listener` - The listener to add.

### removeEventListener

    void removeEventListener(AgendaEventListener listener)

  Remove an event listener.

  Parameters:
    `listener` - The listener to remove.

### getAgendaEventListeners

    Collection<AgendaEventListener> getAgendaEventListeners()

  Returns all event listeners.

  Returns:
    listeners The listeners.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2014 JBoss by Red Hat. All Rights Reserved.